Error loading virtual machine information: Internal Server Error -- When Adding Host
Pull request:    

Description

When I want to Add a new host to a Ovirt Node I get an 500 Error on the Virtual Machine Tab, but I can access all VM's through the

Compute Resource.

This is the error which I see in Production.log:

Read fragment views/tabs_and_title_records-1 (0.4ms)

  Rendered home/_topbar.html.erb (3.7ms)

Completed 200 OK in 1561ms (Views: 1530.6ms | ActiveRecord: 23.6ms)

Started POST "/hosts/compute_resource_selected" for 172.16.5.25 at Tue Oct 29 13:08:41 +0100 2013

Processing by HostsController#compute_resource_selected as */*

  Parameters: {"authenticity_token"=>”XXXXXXXXXXXXXXXXXXXXX=", "host"=>{"hostgroup_id"=>"", "provi

sion_method"=>"build", "comment"=>"", "build"=>"1", "environment_id"=>"", "puppet_proxy_id"=>"", "

interfaces_attributes"=>{"new_interfaces"=>{"provider"=>"IPMI", "_destroy"=>"false", "type"=>"Nic:

:Managed", "domain_id"=>"", "name"=>"", "mac"=>"", "ip"=>""}}, "disk"=>"", "enabled"=>"1", "type"=

>"Host::Managed", "managed"=>"true", "domain_id"=>"", "is_owned_by"=>"", "name"=>"", "compute_reso

urce_id"=>"1", "progress_report_id"=>"[FILTERED]", "root_pass"=>"[FILTERED]", "model_id"=>"", "pup

pet_ca_proxy_id"=>"", "mac"=>"", "ip"=>"", "architecture_id"=>"", "overwrite"=>"false"}, "utf8"=>"

✓"}

  Rendered compute_resources_vms/form/_ovirt.html.erb (416.2ms)

  Rendered hosts/_compute.html.erb (520.9ms)

Operation FAILED: statementcallback; bad sql grammar select * from (select * from vds groups view 

where ( vds group id in (select vds groups storage domain.vds group id from  vds groups storage do

main   left outer join storage pool with storage domain on vds groups storage domain.storage pool 

id=storage pool with storage domain.id    where  (  storage pool with storage domain.name like '%M

yDomain%' or  storage pool with storage domain.description like '%MyDomain%' or  storage pool with

 storage domain.comment like '%MyDomain%' ) ))  order by name asc ) as t1 offset (1 -1) limit 100;

 nested exception is org.postgresql.util.psqlexception: error: column storage pool with storage do

main.comment does not exist

  position: 425

  Rendered common/500.html.erb (5.4ms)

Associated revisions

Revision 28abc66d - 01/02/2014 09:24 PM - Walden Raines

Fix less parse error by removing bastion stylesheets from assets, fixes #3536

The issue here was that the less parser was trying to import the bootstrap

scss in foreman and was obviously unable to parse it because it was less

instead of scss.

Revision 038f168f - 01/03/2014 10:01 AM - Thomas McKay

Merge pull request #3538 from waldenraines/fix-assets

Fix less parse error by removing bastion stylesheets from assets, fixes #3536
History

#1 - 10/29/2013 12:35 PM - Dominic Cleal

- Category changed from Host creation to Compute resources

- Status changed from New to Rejected

- Priority changed from High to Normal

- Difficulty deleted (medium)

The SQL statement on the "Operation FAILED" line cannot have been generated by Foreman, but instead by oVirt.  It references a missing column,

presumably in oVirt's own database.  Please contact the oVirt project for support, or to raise a bug there.

#2 - 10/29/2013 12:39 PM - Yama Kasi

Hi Dominic,

The question is who is following who it's specifications.

I thought that FM was on top of oVirt so if oVirt changes something, FM needs to follow.

#3 - 10/29/2013 12:46 PM - Dominic Cleal

Foreman doesn't interact with oVirt's database, but the error states that a table column is missing.  It seems unlikely that Foreman or the libraries we

use could cause this class of error - it's likely to be internal to the application.

#4 - 10/29/2013 12:50 PM - Yama Kasi

But it seems that FM wants to get something from that table using ?? the api ??

As it has worked before and oVirt can change things internal I think FM has to change their things too...

I know it sounds nitpicking but that is how integration goes it seems.

#5 - 10/29/2013 12:55 PM - Dominic Cleal

Foreman doesn't access the table directly, so it should not be able to cause this class of error.  I think you'll have better luck raising it with the oVirt

project first, as it appears to be an error from there.

#6 - 10/29/2013 01:43 PM - Dominic Cleal

- Status changed from Rejected to New

As discussed on IRC, reopening, but I still have my reservations about the cause.

#7 - 10/29/2013 02:25 PM - Ohad Levy

see workaround to the problem at https://github.com/abenari/rbovirt/pull/27

#8 - 10/29/2013 03:06 PM - Yama Kasi

Hi Ohad,

I have changed both files on my Ubuntu installation but it didn't fix the issue yet, these are the files:

/usr/share/foreman/vendor/ruby/1.8/gems/rbovirt-0.0.20/lib/ovirt/volume.rb

/usr/share/foreman/vendor/ruby/1.8/gems/rbovirt-0.0.21/lib/ovirt/volume.rb

Thanks so far!

Cheers,

Matt

#9 - 10/30/2013 02:29 PM - Ohad Levy

Yama Kasi wrote:

Hi Ohad,

I have changed both files on my Ubuntu installation but it didn't fix the issue yet, these are the files:

/usr/share/foreman/vendor/ruby/1.8/gems/rbovirt-0.0.20/lib/ovirt/volume.rb

/usr/share/foreman/vendor/ruby/1.8/gems/rbovirt-0.0.21/lib/ovirt/volume.rb
Thanks so far!

 It turns out its a workaround for another ovirt issue, not related to this one.

do we have an ovirt bug for this trace too?

#10 - 10/30/2013 02:30 PM - Ohad Levy

as this looks like an ovirt trace and not a foreman trace...

#11 - 10/30/2013 02:32 PM - Ohad Levy

- Description updated

#12 - 10/30/2013 02:34 PM - Yama Kasi

The logs indeed exists in de engine log of oVirt, but no issues on oVirt so far.

I cannot find any issues @ the API too.

#13 - 01/08/2014 11:52 AM - Walden Raines

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello:katello|commit:28abc66d6b2a6be4e03ae2e0d1a4142e623004b5.

#14 - 01/08/2014 11:55 AM - Dominic Cleal

- Status changed from Closed to New

- % Done changed from 100 to 0

Please ignore the linked commit, an incorrect issue number was referenced.

#15 - 09/26/2014 07:24 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - oVirt

#16 - 05/18/2017 07:59 PM - Anonymous

- Status changed from New to Rejected

Powered by TCPDF (www.tcpdf.org)

05/11/2024 3/3

http://www.tcpdf.org

